Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.support
[Groovy] Class WatchPattern

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.WatchPattern

    class WatchPattern
    extends java.lang.Object

Authors:
  Graeme Rocher

Since:
  2.0

Property Summary
`java.io.File` | `directory` The directories being watched, if any
`java.lang.String` | `extension` The file extensions within the directories being watched
`java.io.File` | `file` A concrete file being watched, if any
`java.lang.String` | `pattern` The pattern.

Method Summary
`boolean` | `matchesPath(java.lang.String path)` Whether the given path matches this watch pattern

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### directory

    java.io.File directory

  The directories being watched, if any

### extension

    java.lang.String extension

  The file extensions within the directories being watched

### file

    java.io.File file

  A concrete file being watched, if any

### pattern

    java.lang.String pattern

  The pattern. Eg. file:./grails-app/conf/spring/resources.xml

Method Detail

### matchesPath

    boolean matchesPath(java.lang.String path)

  Whether the given path matches this watch pattern
  Parameters:
    `path` - A file path
  Returns:
    true if it does

Groovy Documentation